#!/bin/env bash

prompt() {
    variable=$1
    prompt=$2
    read -p "> " "${variable?}"

}

invert() {
    value=$1
    ((value ^= 1))
    echo $value
}


is_uefi=0
if [[ $(cat /sys/firmware/efi/fw_platform_size) -eq 64 ]]; then
    is_uefi=1
fi

mapfile -t devices < <(lsblk --paths --output NAME --noheadings --nodeps)
mapfile -t devices_sizes < <(lsblk --paths --output SIZE --noheadings --nodeps)

paste <(printf "%s\n" "${!devices[@]}") <(printf "%s\n" "${devices[@]}") <(printf "%s\n" "${devices_sizes[@]}")
echo "Which device do you want to be main root drive?"
prompt root_drive

echo "Which device do you want to be used for home? use q to skip and use root drive."
prompt home_drive

echo $root_drive - $home_drive


