use proc_macro::TokenStream;
use syn::parse::{Parse, ParseStream, Result};
use syn::{parse_macro_input, Ident};

/// Parses the following syntax, which aligns with the input of the real
/// `lazy_static` crate.
///
///     lazy_static! {
///         $VISIBILITY static ref $NAME: $TYPE = $EXPR;
///     }
///
/// For example:
///
///     lazy_static! {
///         static ref USERNAME: Regex = Regex::new("^[a-z0-9_-]{3,16}$").unwrap();
///     }
struct LazyStatic {
    command: Ident,
}

impl Parse for LazyStatic {
    fn parse(input: ParseStream) -> Result<Self> {
        dbg!(input);
        let command: Ident = input.parse()?;
        //     input.parse::<Token![Ident]>()?;
        //     let args: Expr = input.parse()?;
        //     input.parse::<Token![>]>()?;
        //     let replacement: Ident = input.parse()?;
        //     input.parse::<Token![,]>()?;
        Ok(LazyStatic { command })
    }
}

#[proc_macro]
pub fn cmd(input: TokenStream) -> TokenStream {
    let LazyStatic { command: _ } = parse_macro_input!(input);

    // let expanded = quote! {

    // #visibility struct #name;

    // impl std::ops::Deref for #name {
    //     type Target = #ty;

    //     fn deref(&self) -> &#ty {
    //         #assert_sync
    //         #assert_sized

    //         static ONCE: std::sync::Once = std::sync::Once::new();
    //         static mut VALUE: *mut #ty = 0 as *mut #ty;

    //     }
    // }
    // };
    todo!();
    // TokenStream::from(expanded)
}

// use proc_macro::TokenStream;
// use quote::quote;
// #[proc_macro]
// pub fn cmd(input: TokenStream) -> TokenStream {
//     dbg!(input);
//     todo!()
// }
